﻿// <auto-generated />
using System;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using fenykepalbum_3.AspNetCore.NewDb.Models;

namespace fenykepalbum_3.Migrations
{
    [DbContext(typeof(fenykepContext))]
    [Migration("20190623102145_InitialCreate")]
    partial class InitialCreate
    {
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "2.2.4-servicing-10062")
                .HasAnnotation("Relational:MaxIdentifierLength", 128)
                .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

            modelBuilder.Entity("fenykepalbum_3.AspNetCore.NewDb.Models.Kepek", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Filenev");

                    b.Property<string>("Holkeszult");

                    b.Property<string>("Leiras");

                    b.Property<DateTime>("Mikor");

                    b.HasKey("Id");

                    b.ToTable("Kepek");
                });
#pragma warning restore 612, 618
        }
    }
}
